#include <cstdio>
#include <cstdlib>

char nula[7][6] = {
	"+---+",
	"|   |",
	"|   |",
	"+   +",	
	"|   |",
	"|   |",
	"+---+"
};

char jednicka[7][6] = {
	"    +",
	"    |",
	"    |",
	"    +",	
	"    |",
	"    |",
	"    +"
};

char dvojka[7][6] = {
	"+---+",
	"    |",
	"    |",
	"+---+",	
	"|    ",
	"|    ",
	"+---+"
};

char trojka[7][6] = {
	"+---+",
	"    |",
	"    |",
	"+---+",	
	"    |",
	"    |",
	"+---+"
};

char ctyrka[7][6] = {
	"+   +",
	"|   |",
	"|   |",
	"+---+",	
	"    |",
	"    |",
	"    +"
};

char petka[7][6] = {
	"+---+",
	"|    ",
	"|    ",
	"+---+",	
	"    |",
	"    |",
	"+---+"
};

char sestka[7][6] = {
	"+---+",
	"|    ",
	"|    ",
	"+---+",	
	"|   |",
	"|   |",
	"+---+"
};

char sedm[7][6] = {
	"+---+",
	"    |",
	"    |",
	"    +",	
	"    |",
	"    |",
	"    +"
};

char osm[7][6] = {
	"+---+",
	"|   |",
	"|   |",
	"+---+",	
	"|   |",
	"|   |",
	"+---+"
};

char devet[7][6] = {
	"+---+",
	"|   |",
	"|   |",
	"+---+",	
	"    |",
	"    |",
	"+---+"
};

char dvojtecka[7][2] = {
	" ",
	" ",
	"o",
	" ",	
	"o",
	" ",
	" "
};

char *dej_num(int num) {
	switch (num) {
	case 0: return nula;
	case 1: return jednicka;
	case 2: return dvojka;
	case 3: return trojka;
	case 4: return ctyrka;
	case 5: return petka;
	case 6: return sestka;
	case 7: return sedm;
	case 8: return osm;
	case 9: return devet;
	}
}

void print_x(char **h1,char **h2,char **m1,char **m2) {
	for (int i = 0; i < 7; i++) {
		printf("%s %s %s %s %s\n", h1[i], h2[i], dvojtecka[i], m1[i], m2[i]);
	}
	printf("\n");
}

int main(void)  {
	int h, m;
		char **h1, **h2, **m1, **m2;	
	while (scanf("%d:%ď", &h, &m) == 2) {
		h1 = dej_num(h/10);		
		h2 = dej_num(h%10);
		m1 = dej_num(m/10);
		m2 = dej_num(m%10);
		print_x(h1, h2, m1, m2);
	}
	printf("end\n");
	return 0;
}


/*		for (int i = 0; i < 7; i++) {
			switch(h) {
				case 1:
				case 2:
				case 3:
				case 4:
				case 5:
				case 6:
				case 7:
				c
		}
		*/












